diff debian/postinst @ 330:56c3a43af1d5 noffle

[svn] small bugfixes
author godisch
date Tue, 25 Feb 2003 19:15:27 +0000
parents c36eb2596531
children a23b37308063
line wrap: on
line diff
--- a/debian/postinst	Mon Feb 24 06:30:36 2003 +0000
+++ b/debian/postinst	Tue Feb 25 19:15:27 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: postinst 460 2003-02-23 15:16:46Z godisch $
+# $Id: postinst 465 2003-02-25 19:15:27Z godisch $
 
 set -e
 
@@ -39,7 +39,7 @@
 if [ "$RET" != false ]; then
 	db_get noffle/port || RET=""
 	port="$RET"
-	[ -z "$port" -o "$port" = 119 ] && port=nntp
+	[ -z "$port" -o "$port" = 119 ] && port=nntp || :
 	# maybe disabled only, e.g. dpkg -r noffle
 	update-inetd --remove "/usr/bin/noffle -r" || :
 	update-inetd --group MAIL --add "$port\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"